FindAllMapping

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wscreation.repository
Class FindAllMapping

    java.lang.Object
      com.wscreation.repository.FindAllMapping

    public class FindAllMapping

extends java.lang.Object

Author:
  WOLLBRETT

Field Summary
`private java.util.Vector<java.lang.String>` | `annotatedMappings`
`private boolean` | `DEBUG`
`private com.hp.hpl.jena.rdf.model.Resource` | `input`
`private java.lang.String` | `mappingDirectory`
`private com.hp.hpl.jena.rdf.model.Resource` | `output`

Constructor Summary
`FindAllMapping(java.lang.String mappingDirectory, com.hp.hpl.jena.rdf.model.Resource input, com.hp.hpl.jena.rdf.model.Resource output)`

Method Summary
`private void` | `findAnnotatedMappings()` retrieve mapping files of the repository annotated with both input and output concept
`java.util.Vector<java.lang.String>` | `getAnnotatedMappings()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mappingDirectory

    private java.lang.String mappingDirectory

### input

    private com.hp.hpl.jena.rdf.model.Resource input

### output

    private com.hp.hpl.jena.rdf.model.Resource output

### annotatedMappings

    private java.util.Vector<java.lang.String> annotatedMappings

### DEBUG

    private boolean DEBUG

Constructor Detail

### FindAllMapping

    FindAllMapping(java.lang.String mappingDirectory,
                   com.hp.hpl.jena.rdf.model.Resource input,
                   com.hp.hpl.jena.rdf.model.Resource output)

Method Detail

### getAnnotatedMappings

    public java.util.Vector<java.lang.String> getAnnotatedMappings()

### findAnnotatedMappings

    private void findAnnotatedMappings()

  retrieve mapping files of the repository annotated with both input and output concept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD